Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1824020 - CVE-2020-5260 git: Crafted URL containing new lines can cause credential leak [fedora-all]
Summary: CVE-2020-5260 git: Crafted URL containing new lines can cause credential leak...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: git
Version: 31
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Todd Zullinger
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-15 05:14 UTC by Huzaifa S. Sidhpurwala
Modified: 2020-05-01 04:54 UTC (History)
9 users (show)

Fixed In Version: git-2.25.3-1.fc31 git-2.26.1-1.fc32 git-2.21.3-1.fc30
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-18 00:07:35 UTC
Type: ---


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2020-04-15 05:14:37 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Huzaifa S. Sidhpurwala 2020-04-15 05:14:41 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1822020,1824020

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Todd Zullinger 2020-04-15 13:33:53 UTC
I worked on the updates for Fedora last night.  Rawhide and F32 are pushed to git, with rawhide building now.  I'll do F31 and F30 shortly.  (Building for all releases at once often leads to spurious failures in the test suite on s390x, so I try to stagger the builds by 15 minutes or so.)

Scratch builds for anyone curious:
F33: https://koji.fedoraproject.org/koji/taskinfo?taskID=43400509
F32: https://koji.fedoraproject.org/koji/taskinfo?taskID=43401650
F31: https://koji.fedoraproject.org/koji/taskinfo?taskID=43400712
F30: https://koji.fedoraproject.org/koji/taskinfo?taskID=43400801

Comment 3 Fedora Update System 2020-04-15 14:44:30 UTC
FEDORA-2020-cdef88bb89 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-cdef88bb89

Comment 4 Fedora Update System 2020-04-15 16:03:30 UTC
FEDORA-2020-fc00fe1705 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-fc00fe1705

Comment 5 Fedora Update System 2020-04-15 17:01:47 UTC
FEDORA-2020-c6548b488f has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c6548b488f

Comment 6 Fedora Update System 2020-04-15 19:58:09 UTC
FEDORA-2020-cdef88bb89 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-cdef88bb89`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-cdef88bb89

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-04-15 21:40:22 UTC
FEDORA-2020-fc00fe1705 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-fc00fe1705`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fc00fe1705

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-04-16 19:28:31 UTC
FEDORA-2020-c6548b488f has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-c6548b488f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c6548b488f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-04-18 00:07:35 UTC
FEDORA-2020-cdef88bb89 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-04-22 20:13:58 UTC
FEDORA-2020-4e093619bb has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-4e093619bb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4e093619bb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-04-25 02:23:29 UTC
FEDORA-2020-c6548b488f has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-05-01 04:54:00 UTC
FEDORA-2020-4e093619bb has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.